// File: main.cpp

#include <iostream>
#include <fstream>
using namespace std;

int main() {
    // 1) Declare ofstream instance.
    ofstream ofs;

    // 2) Establish connection to file.
    ofs.open("names.txt");

    // 3) Check connection.
    if ( !ofs.is_open() ) {
        cerr << "File error." << endl;
        exit(1);
    }

    // 4) Perform write. 
    // Use CSV (comma separated values) format.
    ofs << "J" << "," << "D" << endl
        << "A" << "," << "D" << endl;

    // 5) close connection.
    ofs.close();
    
    return 0;
}// end main()