// File: car.h

#ifndef CAR_H
#define CAR_H

#include <string>
using namespace std;

class Car {
private:
    string color = "white";
    string make = "Chevy";
    string model = "Camaro";

public:
    Car();
    Car(const string& color, const string& make, const string& model);
    Car(const Car& o);
    ~Car();

    string getColor() const;
    string getMake() const;
    string getModel() const;
    void setColor(const string& color);
    void setMake(const string& make);
    void setModel(const string& model);

    string toString() const;
};

#endif