// File: Temp.h

#ifndef TEMP_H
#define TEMP_H

#include <string>
using namespace std;

class Temp {
private:
    double value;
    string scale;

public:
    Temp(const double value = 0.0, const string& scale = "F");

    double getValue() const;
    string getScale() const;

    void setValue(const double value);
    void setScale(const string& scale);

    string toString() const;

    // Overloaded + operator
    Temp operator +(const double valueIncrement);
};


/* Overloaded << operator
 * This operator must be declared as a function.
 */
ostream& operator <<(ostream& os, const Temp& o);

#endif
