// File: Graduate.h

#ifndef GRADUATE_H
#define GRADUATE_H

#include "Student.h"
#include <string>
#include <iostream>
using namespace std;

class Graduate : public Student {
private:
    bool isOnThesisOption = false;

public:
    Graduate(const int sid, const string& first, const string& last,
             const bool isOnThesisOption = false);
    virtual ~Graduate();

    bool getThesisOption() const;
    void setThesisOption(const bool isOnThesisOption);

    virtual string toString() const;
};// end Graduate

ostream& operator <<(ostream& os, const Graduate& o);

#endif