// File: Student.h

#ifndef STUDENT_H
#define STUDENT_H

#include "Name.h"
#include "Address.h"
#include <string>
#include <iostream>
using namespace std;

class Student {
private:
    int f_sid = 0;

public:
    // A public read-only property
    const int & sid = f_sid;

    // struct fields initialized to their default values (empty strings)
    Name name{};
    Address homeAddress{};

    Student(const int sid, const string& first, const string& last);
    virtual ~Student();

     virtual string toString() const;
};// end Student

ostream& operator <<(ostream& os, const Student& o);

#endif