/* File: main.cpp */

#include "ArrayList.h"
#include <iostream>
using namespace std;

int main() {
    ArrayList<int> iList;
    ArrayList<char> cList;

    iList.pushBack(3);
    iList.pushBack(4);
    iList.pushFront(2);
    iList.pushAt(0, 1);

    cList.pushFront('D');
    cList.pushFront('C');
    cList.pushFront('B');
    cList.pushFront('A');

    cout << "Original lists:" << endl
         << "\tiList: " << iList << endl
         << "\tcList: " << cList << endl;

    cout << endl << "Edited iList:" << endl
         << "\tpopFront: " << iList.popFront()
         << " - " << iList
         << endl
         << "\tpopBack: " << iList.popBack()
         << " - " << iList
         << endl
         << "\tpopAt(0): " << iList.popAt(0)
         << " - " << iList
         << endl;

    // Generate an exception by providing an invalid index.
    try {
        cout << endl << "PopAt(10): " << flush;
        cout << iList.popAt(10);

    } catch (range_error e) {
        cerr << e.what() << endl;
    }
    cout << endl;
}