// File: main.cpp

#include <iostream>
#include <string>
using namespace std;

struct Point {
    // Initialize members at declaration
    int x = 0;
    int y = 0;
};

void initializePoint(Point& pt, const int withX, const int withY);
void displayPoint(const string& label, const Point& pt);

int main() {
    Point points[2];

    initializePoint(points[0], 1, 1);
    initializePoint(points[1], 2, 2);
    displayPoint("points[0]: ", points[0]);
    displayPoint("\npoints[1]: ", points[1]);

    cout << endl;
    return 0;
}// end main()

void initializePoint(Point& pt, const int withX, const int withY) {
    pt.x = withX;
    pt.y = withY;
}

void displayPoint(const string& label, const Point& pt) {
    cout << label << "(" << pt.x << ", " << pt.y << ")";
}