// File: main.cpp

#include <iostream>
#include <exception>
using namespace std;

bool inRange(const int num, const int low, const int high);

int main() {
    try {
        cout << inRange(1, 1, 4) << endl;
        cout << inRange(5, 1, 4) << endl;

    } catch (const range_error& e) {
        cerr << e.what() << endl;
    }
    
    return 0;
}// end main()

bool inRange(const int num, const int low, const int high) {
    if (num < low || num > high) { 
        throw range_error( "Out of range: " + to_string(num) );
    }
    // code omitted
    return true;
}