// File: Student.cpp

#include "Student.h"
#include <string>
#include <iostream>
#include <sstream>

using namespace std;

Student::Student(const int sid, const string& first, const string& last)
    : f_sid{sid}, name{first, last}
{}// end Student()

Student::~Student() { }// end ~Student()

string Student::toString() const {
    ostringstream oss;

    oss << "[" << sid << "]"
        << "[" << name.last << ", " << name.first << "]";

    return oss.str();
}// end toString()

ostream& operator <<(ostream& os, const Student& o) {
    os << o.toString();
    return os;
}// end <<()