// File: Undergraduate.h

#ifndef UNDERGRADUATE_H
#define UNDERGRADUATE_H

#include "Student.h"
#include <string>
#include <iostream>
using namespace std;

class Undergraduate : public Student {
private:
    string academicYear{};

public:
    Undergraduate(const int sid, const string& first, const string& last,
                  const string& academicYear = "Fr");
    virtual ~Undergraduate();

    string getAcademicYear() const;
    void setAcademicYear(const string& academicYear);

    virtual string toString() const;
};// end Undergraduate

ostream& operator <<(ostream& os, const Undergraduate& o);

#endif