// File: main.cpp

#include "Student.h"
#include "Undergraduate.h"
#include "Graduate.h"
#include <iostream>
using namespace std;

int main() {
    // Polymorphic coding.
    Student * roster[] = {
        new Student      {0, "s1", "S1"},
        new Undergraduate{801, "u1", "U1", "So"},
        new Graduate     {901, "g1", "G1", true},
        new Undergraduate{802, "u2", "U2"}
    };

    // Access each element of the array and infer (auto) each element's type.
    // Read (&&) each element(s) only.
    for (auto && s : roster) { 
        cout << *s << endl;
    }

    roster[0]->name.first = "na";
    roster[0]->name.last = "NA";
    
    cout << "Upated student: " << *roster[0] << endl;

    // Release each element of the array.
    // Update (&) each element(s).
    for (auto & s : roster) {
        delete s;
        s = nullptr;
    }

    return 0;
}// end main()