// File: Student.h

#ifndef STUDENT_H
#define STUDENT_H

#include <string>
#include <iostream>
using namespace std;

class Student {
protected:
    // Clients cannot instantiate this class now.
    Student() { cout << endl << "Allocating Student[" << this << "]" ; }
    
public:
    virtual ~Student() { cout << " - Student[" << this << "]" << endl; }

    // Pure-virtual method. Must overwrite in subclass.
    virtual string toString() const =0;
};// end Student

ostream& operator <<(ostream& os, const Student& o) {
    os << o.toString();
    return os;
}

#endif