// File: main.cpp

#include "Student.h"
#include "Undergraduate.h"
#include "Graduate.h"
#include <iostream>
using namespace std;

int main() {

    Student * roster[] = {
        // new Student{},
        new Undergraduate{},
        new Graduate{},
        new Undergraduate{}
    };

    cout << endl << endl;
    // Access each element of the array and infer (auto) each element's type.
    // Read (&&) each element(s) only.
    for (auto && s : roster) {
        cout << *s << endl;
    }
    cout << endl;

    // Release each element of the array.
    // Update (&) each element(s).
    for (auto & s : roster) {
        delete s;
        s = nullptr;
    }

    cout << endl;
    return 0;
}// end main()