// File: main.cpp

#include <iostream>
using namespace std;

struct Point {
    int x = 0;
    int y = 0;

    ~Point() { 
        cout << "Removing pt: " << x << ", " << y << endl;
    }
};

ostream& operator <<(ostream& os, const Point& p) {
    os << "(" << p.x << ", " << p.y << ")";
    return os;
}

int main() {
    Point * * pts = new Point * [4];

    // Display original contents of array pts.
    for (int i = 0; i < 4; i++) {
        cout << pts[i] << endl;
    }
    
    // Assign four random Points to the array.
    for (int i = 0; i < 4; i++) {
        pts[i] = new Point{1 + i, 1 + i};
    }

    // Displayt the loaded array.
    cout << endl;
    for (int i = 0; i < 4; i++) {
        cout << *pts[i] << endl;
    }

    // Release all the allocated memory.
    cout << endl;
    for (int i = 0; i < 4; i++) {
        delete pts[i];
        pts[i] = nullptr;
    }

    delete [] pts;
    pts = nullptr;

    return 0;
}// end main()