// File: main.cpp

#include <iostream>
#include <iomanip>
using namespace std;

// Factorial
double fact(const int n);
double fib(const int n);

int main() {
    cout << setiosflags(ios::fixed) 
         << setprecision(0)
         << "fact(5) = " << fact(5)
         << endl
         << "fib(8) = " << fib(8)
         << endl;

    return 0;
}// end main()


// Factorial
double fact(const int n) {
    if (n <= 1) {
        return 1;
    } else {
        return n * fact(n - 1);
    }
}

// Fibonacci
double fib(const int n) {
    if ( n <= 0 ) {
        return 0;
    } else if ( n == 1 ) {
        return 1;
    } else {
        return fib(n - 1) + fib(n - 2);
    }
}
